﻿@using NacGroup.Module.Blog.Models.Schema
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@model NacGroup.Module.Core.Models.PagedResult<NacGroup.Module.Blog.Models.Schema.Blog>;
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var blogcate = new BlogCategory { };
    var tag = "";
    if (ViewData["Tag"] != null)
    {
        tag = ViewData["Tag"] as string;
    }
    else
    {
        blogcate = ViewData["BlogCate"] as BlogCategory;
    }


    ViewData["MetaTitle"] = (!string.IsNullOrEmpty(tag) ? tag : blogcate?.MetaTitle);
    ViewData["MetaDescription"] = (!string.IsNullOrEmpty(tag) ? tag : blogcate?.MetaDescription);
    ViewData["MetaKeyword"] = (!string.IsNullOrEmpty(tag) ? tag : blogcate?.MetaKeyword);
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/blog-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/blogcat-page.min.js"></script>
}
<main id="blogcate-page">
    <h1 class="hidden">@(!string.IsNullOrEmpty(tag) ? tag : blogcate.MetaTitle)</h1>
    <div id="breadcrumb">
        <div class="container">
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Trang chủ</a></li>
                <li class="active">@(!string.IsNullOrEmpty(tag) ? tag : blogcate.Name)</li>
            </ul>
        </div>
    </div>

    <div class="news-list container p-4">
        <div class="flex-container">
            @if (Model.Results.Any())
            {
                foreach (var item in Model.Results)
                {
                    <div class="blog-item">
                        <figure>
                            <a href="/@item.CategoryUrl/@item.Url/@item.CreatedDate.Day/@item.CreatedDate.Month/@item.CreatedDate.Year"><img src="@item.Avatar" alt="@item.Title"></a>
                        </figure>
                        <div>
                            <a class="name" href="/@item.CategoryUrl/@item.Url/@item.CreatedDate.Day/@item.CreatedDate.Month/@item.CreatedDate.Year">
                                @item.Title
                            </a>
                            <p>
                                @if (item?.ShortDescription.Length > 80)
                                {
                                    @(string.Concat(item?.ShortDescription.Substring(0,80),"..."))
                                }
                                else
                                {
                                    @(item?.ShortDescription)
                                }
                            </p>

                        </div>
                    </div>
                }

            }
            else
            {
                <h4 class="h3 text-center">Nội dung đang được cập nhật !!</h4>
            }
            @{
                var start = Model.CurrentPage - 5 >= 1 ? (Model.CurrentPage - 5) : 1;
                var end = Model.CurrentPage + 5 <= Model.TotalPageCount ? (Model.CurrentPage + 5) : Model.TotalPageCount;

            }

        </div>
        <div class="paging text-center">
            <ul class="pagination">
                @{
                    if (Model.CurrentPage > 2)
                    {
                        <li>
                            <a href="?page=1" rel="prev">
                                <i class="ecs-angle-double-left" aria-hidden="true"></i>
                            </a>
                        </li>
                    }
                    if (start > 1)
                    {
                        <li class="disabled"><a>…</a></li>
                    }
                    if (Model.CurrentPage > 1)
                    {
                        <li>
                            <a href="?page=@(Model.CurrentPage -1)" rel="prev">
                                <i class="ecs-left-open-mini" aria-hidden="true"></i>
                            </a>
                        </li>
                    }
                    for (var i = start; i <= end; i++)
                    {
                        if (Model.CurrentPage == i)
                        {
                            <li class="active"><a>@i</a></li>
                        }
                        else
                        {
                            <li><a href="?page=@i">@i</a></li>
                        }
                    }
                    if (end < Model.TotalPageCount)
                    {
                        <li class="disabled"><a>…</a></li>
                    }
                    if (Model.CurrentPage < Model.TotalPageCount)
                    {
                        <li>
                            <a href="?page=@(Model.CurrentPage + 1)" rel="next">
                                <i class="ecs-right-open-mini" aria-hidden="true"></i>
                            </a>
                        </li>
                    }
                    if (Model.CurrentPage < Model.TotalPageCount - 2)
                    {
                        <li>
                            <a href="?page=@(Model.TotalPageCount)" rel="next">
                                <i class="ecs-angle-double-right" aria-hidden="true"></i>
                            </a>
                        </li>
                    }
                }

            </ul>
        </div>
    </div>
</main>